/**
 * $Id$
 *
 * Copyright (C) shinichiro.h <hamaji@nii.ac.jp>
 *  http://shinh.skr.jp/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef SDL_tex_h_
#define SDL_tex_h_

#include "SDL.h"

#ifdef __cplusplus
extern "C" {
#endif

extern DECLSPEC SDL_Surface* SDLCALL SDLTex_Raster(
    const char* expr, int size, SDL_Color fg, SDL_Color bg);
extern DECLSPEC SDL_Surface* SDLCALL SDLTex_RasterAA(
    const char* expr, int size, SDL_Color fg, SDL_Color bg);

#ifdef __cplusplus
}
#endif

#endif // ! SDL_tex_h_

